function [ mom ] = single_run( alpha,f,lambda,x,momorder )

vark=zeros(2,1);
cork=zeros(2,1);

for jjj=1:2
    vark(jjj)=1/sqrt(var(f{jjj}(x,alpha))); %correcting for variance
    cork(jjj)=corr(x',f{jjj}(x,alpha)');
end
if lambda>cork(1)
    error('lambda>cork')
end
mani=zeros(2,length(x));
mani(1,:)=(f{1}(x,alpha)).*(lambda./cork(1)).*vark(1);
mani(2,:)=(f{2}(x,alpha)).*sqrt(1-(lambda./cork(1))^2).*vark(2);

mom_man=zeros(momorder,2);
%calculate moments
for iii=2:momorder
    mom_man(iii,1)=moment(mani(1,:),iii);
    mom_man(iii,2)=moment(mani(2,:),iii);
end

%calculate cumulants
cum_man=zeros(momorder,2);
for iii=2:momorder
    cum_man(iii,1)=moment(mani(1,:),iii);
    cum_man(iii,2)=moment(mani(2,:),iii);
    for jjj=1:(iii-1)
        cum_man(iii,1)=cum_man(iii,1)-nchoosek(iii-1,jjj-1)*...
            mom_man(iii-jjj,1)*cum_man(jjj,1);
        cum_man(iii,2)=cum_man(iii,2)-nchoosek(iii-1,jjj-1)*...
            mom_man(iii-jjj,2)*cum_man(jjj,2);
    end
end
sum_cum=cum_man(:,1)+cum_man(:,2);
sum_mom=zeros(size(sum_cum));
for iii=2:momorder
    sum_mom(iii)=sum_cum(iii);
    for jjj=1:(iii-1)
        sum_mom(iii)=sum_mom(iii)+nchoosek(iii-1,jjj-1)*...
            sum_mom(iii-jjj)*sum_cum(jjj);
    end
end
mom=sum_mom(end);
end

