function [ mom ] = single_run_kurt( alpha,f,lambda,x )

vark=zeros(2,1);
cork=zeros(2,1);
for jjj=1:2
    vark(jjj)=1/sqrt(var(f{jjj}(x,alpha))); %correcting for variance
    cork(jjj)=corr(x',f{jjj}(x,alpha)');
end
mani=zeros(2,length(x));
mani(1,:)=(f{1}(x,alpha)).*(lambda./cork(1)).*vark(1);
mani(2,:)=(f{2}(x,alpha)).*sqrt(1-(lambda./cork(1))^2).*vark(2);

mom=moment(mani(1,:),4)+moment(mani(2,:),4)+6*...
    moment(mani(1,:),2)*moment(mani(2,:),2);
end

